com.singularsys.jeptests.system

## Class CPTest

- java.lang.Object
- - com.singularsys.jeptests.system.JepTest
  - - com.singularsys.jeptests.system.CPTest

- Direct Known Subclasses:
    RealEvalTest

      public class CPTest
      extends JepTest

  Tests for the configurable parser.

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jeptests.system.JepTest

      `jep, myFalse, myTrue, PRINT_RESULTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CPTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()` Sets up the parser.
    `void` | `testAddOp()` Tests the addOperator method
    `void` | `testBug61()`
    `void` | `testCPStrings()`
    `void` | `testDepth3ArrayAccess()`
    `void` | `testEmptyEqn2()`
    `void` | `testMultiDimArrayAccess()`
    `void` | `testMultiDimArrayPrint()`

    - ### Methods inherited from class com.singularsys.jeptests.system.JepTest

      `assertEqNodes, buildMatrix, buildVector, calcValue, calcValue, checkVector, compareRecursive, complexValueTest, myAssertEquals, myAssertNaN, myAssertNull, negativeZero, nodeTest, nodeTest, nodeTest, nodeTest, printTestHeader, testAssign, testBinom, testBlankParser, testCaseNull, testCaseString, testChangeVariable, testChangeVariableComplex, testComments, testComplex, testEmptyEqn, testEvalExceptions, testEvaluate, testEvaluateComplex, testEvaluateString, testExpectedTokenSequence, testFormat, testFunction, testIf, testImplicitMul, testLazyLogical, testLazyLogical2, testLazyLogicalBug, testListAccess, testListExtra, testListFunctions, testLogarithm, testLogical, testMacroFunction, testMultiDimArray, testMultiLine, testMultiplyBug, testNaN, testNoAssign, testNull, testNumberAsBooleanLogical, testNumbers, testNumParam, testParseException, testPlusPlus, testRecursiveMacroFunction, testSemiColon, testSetAllowUndeclared, testSimpleSum, testSpecialFunctions, testSpecialFunctions, testStrings, testStringsFun, testSwitch, testUminusPower, testX2Y, valueTest, valueTest, valueTestFail, valueTestNaN, valueTestNull, valueTestString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CPTest

          public CPTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

      Description copied from class: `JepTest`
      Sets up the parser.
      Overrides:
        `setUp` in class `JepTest`

    - #### testAddOp

          public void testAddOp()
                         throws ParseException

      Tests the addOperator method
      Throws:
        `ParseException`

    - #### testCPStrings

          public void testCPStrings()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testEmptyEqn2

          public void testEmptyEqn2()
                             throws java.lang.Exception

      Overrides:
        `testEmptyEqn2` in class `JepTest`
      Throws:
        `java.lang.Exception`

    - #### testBug61

          public void testBug61()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDepth3ArrayAccess

          public void testDepth3ArrayAccess()
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMultiDimArrayAccess

          public void testMultiDimArrayAccess()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMultiDimArrayPrint

          public void testMultiDimArrayPrint()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep